REST APILinkLink Accounts

GET

Lists Link accounts for an enterprise with filtering, pagination, and sorting.

Path Params

  • enterpriseId string required
    Your enterprise id.

    at least 1 characters · matches ^[0-9a-f]{32}$

Query Params

  • limit string or number required
    Maximum number of results to return per page. Defaults to 50.

    ONE OF

    string
  • offset string or number required
    Number of results to skip before returning. Defaults to 0.

    ONE OF

    string
  • venueId string
    Filter accounts by venue identifier.

    at least 1 characters

  • name string
    Filter accounts by name (case-insensitive partial match).

    at least 1 characters

  • description string
    Filter accounts by description (case-insensitive partial match).

    at least 1 characters

  • status array of string enums
    Filter by one or more account statuses.
    activeinactivedeletedpending_credentials
  • sortBy string enum required
    Sort field. Defaults to name.
    namecreatedDate
  • orderDirection string enum required
    Sort direction. Defaults to asc.
    ascdesc

Header Params

  • user-id string required
    User id of the user making the request.

    at least 1 characters

Responses

200
OK

Response Body

object

  • accounts array of objects required
    accounts object
    • subAccounts array of objects
      subAccounts object
      • id string required
      • venueId string required

        at least 1 characters

      • credentials array of objects required
        credentials object
        • id string required
        • accessLevels array of string enums required
          readwriteread_write
        • expirationDate string

          at least 1 characters

      • status string enum required
        activeinactivedeletedpending_credentials
      • name string required

        at least 1 characters

      • description string required

        at least 1 characters

      • whitelistingEnabled boolean required
      • parentAccount string
      • users array of objects
        users object
        • permissions array of string enums required
          link.account.adminlink.account.transferlink.account.view
        • userId string required

          at least 1 characters

      • createdDate string date-time required
      • modifiedDate string date-time required
    • id string required
    • venueId string required

      at least 1 characters

    • credentials array of objects required
      credentials object
      • id string required
      • accessLevels array of string enums required
        readwriteread_write
      • expirationDate string

        at least 1 characters

    • status string enum required
      activeinactivedeletedpending_credentials
    • name string required

      at least 1 characters

    • description string required

      at least 1 characters

    • whitelistingEnabled boolean required
    • parentAccount string
    • users array of objects
      users object
      • permissions array of string enums required
        link.account.adminlink.account.transferlink.account.view
      • userId string required

        at least 1 characters

    • createdDate string date-time required
    • modifiedDate string date-time required
  • total number required
    Total number of accounts matching the filter across all pages (same for every page). Use with limit/offset for pagination.
400
Bad Request
No response body
401
Unauthorized

Response Body

object

  • errorName string required
  • error string required
500
Internal Server Error

Response Body

object

  • errorName string required
  • error string required